from dataclasses import dataclass


@dataclass
class Game:
    year: int
    name: str

    def get_name(self) -> str:
        return self.name


class PCGame(Game):
    pass


class PS4Game(Game):
    pass


class XboxGame(Game):
    pass


class Mobiles(Game):
    pass
